local LAM = LibStub( 'LibAddonMenu-2.0')

local ADDON_VERSION = "1.2"

local iconTexturesList = {
	[1] = "Clean Borders",
	[2] = "Vanilla Borders",
}

local panelData = {
	    type = "panel",
	    name = "Clean Action Bar Borders",
	    displayName = ZO_HIGHLIGHT_TEXT:Colorize("Clean Action Bar Borders"),
	    author = "Zinival,@Ninette",
		registerForDefaults = true,
	    version = ADDON_VERSION,
	 
   slashCommand = "/cab",
}

local optionsData = {  
	 [1] = {
	    type = "header",
		name = "General Options",
	},
	 [2] = {
        type = "dropdown",
        name = "Interface Style",
        tooltip = "Choose your Borders.",
		choices = iconTexturesList,
		default = "Clean Borders",
		warning = "You must reload the UI twice!",
        getFunc = function() return cab.SV.Icon end,
        setFunc = function(val) cab.SV.Icon = val end,
	 },
	 [3] = {
	 	type = "button",
		name = "Reload UI",
		tooltip = "REMEMBER TO RELOAD THE UI TWICE",
		width = "full",
		func = function() 
	      ReloadUI("ingame")
		end,
	 },
}

function cab:initLAM()
	LAM:RegisterOptionControls("Clean Action Bar Borders", optionsData)
	LAM:RegisterAddonPanel("Clean Action Bar Borders", panelData)
end